reportportal unit tests latest:
  image: wpdesknet/phpunit-woocommerce:0-0
  stage: pre-deploy
  when: manual
  except:
    refs:
      - master
      - devel
      - tags
    variables:
      - $DISABLE_COVERAGE
  needs:
    - job: unit test lastest manual
      artifacts: true
    - job: codeception test manual
      artifacts: true
  before_script:
    - export BRANCH=other
  script:
    - cd ${CI_PROJECT_DIR}/tmp_artifacts
    - export FILE_NAME=${CI_PROJECT_NAME}-unit-${BRANCH}.xml
    - cp unit.xml ${FILE_NAME}
    - 'curl -X POST "http://195.201.225.204:8080/api/v1/wpdesk/launch/import" -H "accept: */*" -H "Content-Type: multipart/form-data" -H "Authorization: bearer 5669a426-def1-4fa9-b563-72cf2ab84336" -F "file=@${FILE_NAME};type=text/xml"'
    - cd ${CI_PROJECT_DIR}/tests/codeception/tests/_output
    - export FILE_NAME=${CI_PROJECT_NAME}-codeception-${BRANCH}.xml
    - cp report.xml ${FILE_NAME}
    - 'curl -X POST "http://195.201.225.204:8080/api/v1/wpdesk/launch/import" -H "accept: */*" -H "Content-Type: multipart/form-data" -H "Authorization: bearer 5669a426-def1-4fa9-b563-72cf2ab84336" -F "file=@${FILE_NAME};type=text/xml"'

